;************************************************************
;		MIKROSEKUNDOWA PROCEDURA OPӏNIAJCA
;
; 						Rafa Baranowski (C) 2005
;
; Parametry:
;	R16 - warto opnienia w dziesitkach us (dla zera - 2560 us)
;
; Wymagane stae:
;	SYS_FREQ - czstotliwo pracy w MHz
;
; Wykorzystywane rejestry:
;	R2, R3
;
Czekaj_us:
	mov	R3, R16
	ldi	R16, SYS_FREQ
	mov	R2, R16

Czekaj_us_0:
	mov	R16, R3		;______
					;      \
Czekaj_us_1:			;       |
	nop				;__     |
	nop				;  \    |
	nop				;   |   |
	nop				;   |   |
	nop				;   p   p
	nop				;   1   0
	nop				;   |   |
	dec	R16			;   |   |
	brne	Czekaj_us_1		;__/    |
					;       |
	dec	R2			;       |
	brne	Czekaj_us_0		;______/

	ret

